package geoloc

import (
	"reflect"
	"testing"
)

func TestGetIPInfo(t *testing.T) {
	type args struct {
		input string
	}
	tests := []struct {
		name string
		args args
		want uint
	}{
		{"IP address Test", args{input: "1.1.1.1"}, 16843008},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if got, err := GetIPInfo(tt.args.input); err != nil || !reflect.DeepEqual(got, tt.want) {
				t.Errorf("GetIPInfo() - %v, want %v", got, tt.want)
			}
		})
	}
}
